Subject: [alpine-devel] [PATCH] testing/uucp: new aport

From: Mathew Meins <[email-masked]>
Date: Wed, 8 Apr 2015 23:35:20 +1000 (EST)

>From 371c3e3e6ecd8a7e31793f707294cb6edde698c0 Mon Sep 17 00:00:00 2001
From: Mathew Meins <[email-masked]>
Date: Wed, 8 Apr 2015 13:28:07 +0000
Subject: [PATCH] testing/uucp: new aport

http://airs.com/ian/uucp.html
Taylor UUCP is a free implementation of UUCP
---
  testing/uucp/APKBUILD | 66 +++++++++++++++++++++++++++++++++++++++++++++++++++
  1 file changed, 66 insertions(+)
  create mode 100644 testing/uucp/APKBUILD

diff --git a/testing/uucp/APKBUILD b/testing/uucp/APKBUILD
new file mode 100644
index 0000000..42353f4
--- /dev/null
+++ b/testing/uucp/APKBUILD
@@ -0,0 +1,66 @@
+# Contributor: Mathew Meins <[email-masked]>
+# Maintainer: Mathew Meins <[email-masked]>
+pkgname=uucp
+pkgver=1.07
+pkgrel=1
+pkgdesc="Taylor UUCP is a free implementation of UUCP" 
+url="http://airs.com/ian/uucp.html"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+options="suid"
+pkgusers="uucp"
+pkggroups="uucp"
+source="ftp://ftp.gnu.org/pub/gnu/uucp/uucp-1.07.tar.gz"
+
+_builddir="$srcdir/uucp-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr \
+	--sysconfdir=/etc \
+	--with-newconfigdir=/etc/uucp \
+	--mandir=/usr/share/man \
+	--infodir=/usr/share/info \
+	--localstatedir=/var || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+
+	install -m4555 -o uucp -g uucp "$_builddir"/uuxqt "$pkgdir"/usr/sbin/uuxqt
+	install -m4555 -o uucp -g uucp "$_builddir"/uucico "$pkgdir"/usr/sbin/uucico
+	install -m4555 -o uucp -g uucp "$_builddir"/uux "$pkgdir"/usr/bin/uux
+	install -m4555 -o uucp -g uucp "$_builddir"/uucp "$pkgdir"/usr/bin/uucp
+	install -m4555 -o uucp -g uucp "$_builddir"/uuname "$pkgdir"/usr/bin/uuname
+	install -m4555 -o uucp -g uucp "$_builddir"/cu "$pkgdir"/usr/bin/cu
+	install -m4555 -o uucp -g uucp "$_builddir"/uustat "$pkgdir"/usr/bin/uustat
+
+	install -m755 -D -o root -g root -d "$pkgdir"/etc/uucp
+	install -m755 -D -o uucp -g uucp -d "$pkgdir"/var/spool/uucp
+	install -m755 -D -o uucp -g uucp -d "$pkgdir"/var/spool/uucppublic
+	install -m755 -D -o uucp -g uucp -d "$pkgdir"/var/log/uucp
+
+	touch "$pkgdir"/etc/uucp/call "$pkgdir"/etc/uucp/dial "$pkgdir"/etc/uucp/dialcode "$pkgdir"/etc/uucp/passwd "$pkgdir"/etc/uucp/port "$pkgdir"/etc/uucp/sys
+	chown root:uucp "$pkgdir"/etc/uucp/call "$pkgdir"/etc/uucp/passwd
+	chmod 640 "$pkgdir"/etc/uucp/call "$pkgdir"/etc/uucp/passwd 
+}
+
+md5sums="64c54d43787339a7cced48390eb3e1d0  uucp-1.07.tar.gz"
+sha256sums="060c15bfba6cfd1171ad81f782789032113e199a5aded8f8e0c1c5bd1385b62c  uucp-1.07.tar.gz"
+sha512sums="13d215890234e638bed53dce7bab6eb78e0ce6b658f23ac1d7f8abc6e1d97963bef76aa4148ca644f450d5a1678fac940b73fbcd5845d7f5bea3afbd8055229b  uucp-1.07.tar.gz"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---